org.icefaces.ace.renderkit

## Class InputRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.renderkit.InputRenderer

- Direct Known Subclasses:
    AutoCompleteEntryRenderer, ComboBoxRenderer, DateTimeEntryRenderer, MaskedEntryRenderer, RadioButtonRenderer, RichTextEntryRenderer, SelectMenuRenderer, SimpleSelectOneMenuRenderer, TextAreaEntryRenderer, TextEntryRenderer, ThemeSelectRenderer

      public class InputRenderer
      extends CoreRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IN_FIELD_LABEL_STYLE_CLASS`
    `static java.util.Set<java.lang.String>` | `indicatorPositionSet`
    `static java.lang.String` | `LABEL_STYLE_CLASS`
    `static java.util.Set<java.lang.String>` | `labelPositionSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeLabelAndInput(javax.faces.component.UIComponent component, java.util.Map<java.lang.String,java.lang.Object> labelAttributes, java.util.Map<java.lang.String,java.lang.Object> domUpdateMap)`
    `java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
    `protected javax.faces.convert.Converter` | `getConverter(javax.faces.context.FacesContext context, javax.faces.component.UIInput component)`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `getLabelAttributes(javax.faces.component.UIComponent component)`
    `protected java.lang.String` | `getOptionAsString(javax.faces.context.FacesContext context, javax.faces.component.UIInput component, javax.faces.convert.Converter converter, java.lang.Object value)`
    `protected java.util.List<javax.faces.model.SelectItem>` | `getSelectItems(javax.faces.context.FacesContext context, javax.faces.component.UIInput component)`
    `protected java.lang.String` | `getStateStyleClasses(javax.faces.component.UIInput component)`
    `protected void` | `writeAriaAttributes(java.util.Map<java.lang.String,java.lang.Object> ariaAttributes, java.util.Map<java.lang.String,java.lang.Object> labelAttributes)`
    `protected void` | `writeInputField(javax.faces.component.UIComponent component, java.util.Map<java.lang.String,java.lang.Object> labelAttributes, java.util.Map<java.lang.String,java.lang.Object> domUpdateMap)`
    `protected void` | `writeLabelAndIndicatorAfter(java.util.Map<java.lang.String,java.lang.Object> attributes)`
    `protected void` | `writeLabelAndIndicatorBefore(java.util.Map<java.lang.String,java.lang.Object> attributes)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `decode, encodeBegin, encodeChildren, encodeEnd, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LABEL_STYLE_CLASS

          public static final java.lang.String LABEL_STYLE_CLASS

      See Also:
        Constant Field Values

    - #### IN_FIELD_LABEL_STYLE_CLASS

          public static final java.lang.String IN_FIELD_LABEL_STYLE_CLASS

      See Also:
        Constant Field Values

    - #### labelPositionSet

          public static final java.util.Set<java.lang.String> labelPositionSet

    - #### indicatorPositionSet

          public static final java.util.Set<java.lang.String> indicatorPositionSet

  - ### Constructor Detail

    - #### InputRenderer

          public InputRenderer()

  - ### Method Detail

    - #### getSelectItems

          protected java.util.List<javax.faces.model.SelectItem> getSelectItems(javax.faces.context.FacesContext context,
                                                                                javax.faces.component.UIInput component)

    - #### getOptionAsString

          protected java.lang.String getOptionAsString(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIInput component,
                                                       javax.faces.convert.Converter converter,
                                                       java.lang.Object value)

    - #### getConverter

          protected javax.faces.convert.Converter getConverter(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIInput component)

    - #### getConvertedValue

          public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                                    javax.faces.component.UIComponent component,
                                                    java.lang.Object submittedValue)
                                             throws javax.faces.convert.ConverterException

      Overrides:
        `getConvertedValue` in class `javax.faces.render.Renderer`
      Throws:
        `javax.faces.convert.ConverterException`

    - #### encodeLabelAndInput

          protected void encodeLabelAndInput(javax.faces.component.UIComponent component,
                                             java.util.Map<java.lang.String,java.lang.Object> labelAttributes,
                                             java.util.Map<java.lang.String,java.lang.Object> domUpdateMap)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeInputField

          protected void writeInputField(javax.faces.component.UIComponent component,
                                         java.util.Map<java.lang.String,java.lang.Object> labelAttributes,
                                         java.util.Map<java.lang.String,java.lang.Object> domUpdateMap)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getStateStyleClasses

          protected java.lang.String getStateStyleClasses(javax.faces.component.UIInput component)

    - #### getLabelAttributes

          protected java.util.Map<java.lang.String,java.lang.Object> getLabelAttributes(javax.faces.component.UIComponent component)

    - #### writeLabelAndIndicatorBefore

          protected void writeLabelAndIndicatorBefore(java.util.Map<java.lang.String,java.lang.Object> attributes)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLabelAndIndicatorAfter

          protected void writeLabelAndIndicatorAfter(java.util.Map<java.lang.String,java.lang.Object> attributes)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeAriaAttributes

          protected void writeAriaAttributes(java.util.Map<java.lang.String,java.lang.Object> ariaAttributes,
                                             java.util.Map<java.lang.String,java.lang.Object> labelAttributes)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.